> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Evaluations

> ### Description
Lists all evaluations accessible to the user.

### Details
This API can be used to list evaluations. If a user has access to multiple accounts, all evaluations from all accounts the user is associated with will be returned.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml get /v4/evaluations
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluations:
    get:
      tags:
        - Evaluations
      summary: List Evaluations
      description: >-
        ### Description

        Lists all evaluations accessible to the user.


        ### Details

        This API can be used to list evaluations. If a user has access to
        multiple accounts, all evaluations from all accounts the user is
        associated with will be returned.
      operationId: GET-V4-/evaluations
      parameters:
        - name: view
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/EvaluationViewsOptions'
              - type: 'null'
            title: View
        - name: sort_by
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/SortByEnumForLegacyEvaluation'
            default: []
            title: Sort By
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: >-
              Page number for pagination to be returned by the given endpoint.
              Starts at page 1
            default: 1
            title: Page
          description: >-
            Page number for pagination to be returned by the given endpoint.
            Starts at page 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            description: >-
              Maximum number of artifacts to be returned by the given endpoint.
              Defaults to 100 and cannot be greater than 10k.
            default: 100
            title: Limit
          description: >-
            Maximum number of artifacts to be returned by the given endpoint.
            Defaults to 100 and cannot be greater than 10k.
        - name: application_spec_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: string
              - type: 'null'
            title: Application Spec Id
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedLegacyEvaluationResponseWithViews
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            page = client.evaluations.list()
            page = page.items[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Evaluations.List(context.TODO(), sgp.EvaluationListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    EvaluationViewsOptions:
      type: string
      enum:
        - ApplicationSpec
        - AsyncJobs
        - EvaluationConfig
        - EvaluationDatasets
      title: EvaluationViewsOptions
    SortByEnumForLegacyEvaluation:
      type: string
      enum:
        - status:asc
        - status:desc
        - application_spec_id:asc
        - application_spec_id:desc
        - application_spec:asc
        - application_spec:desc
        - application_variant_id:asc
        - application_variant_id:desc
        - application_variant:asc
        - application_variant:desc
        - evaluation_config_id:asc
        - evaluation_config_id:desc
        - completed_at:asc
        - completed_at:desc
        - total_test_case_result_count:asc
        - total_test_case_result_count:desc
        - completed_test_case_result_count:asc
        - completed_test_case_result_count:desc
        - annotation_config:asc
        - annotation_config:desc
        - question_id_to_annotation_config:asc
        - question_id_to_annotation_config:desc
        - metric_config:asc
        - metric_config:desc
        - evaluation_config_expanded:asc
        - evaluation_config_expanded:desc
        - test_case_results:asc
        - test_case_results:desc
        - async_jobs:asc
        - async_jobs:desc
        - evaluation_datasets:asc
        - evaluation_datasets:desc
        - id:asc
        - id:desc
        - created_at:asc
        - created_at:desc
        - account_id:asc
        - account_id:desc
        - created_by_user_id:asc
        - created_by_user_id:desc
        - created_by_identity_type:asc
        - created_by_identity_type:desc
        - archived_at:asc
        - archived_at:desc
        - name:asc
        - name:desc
        - description:asc
        - description:desc
        - tags:asc
        - tags:desc
        - evaluation_config:asc
        - evaluation_config:desc
      title: SortByEnumForLegacyEvaluation
    PaginatedLegacyEvaluationResponseWithViews:
      properties:
        items:
          items:
            $ref: '#/components/schemas/LegacyEvaluationResponseWithViews'
          type: array
          title: Items
          description: The data returned for the current page.
        total_item_count:
          type: integer
          title: Total Item Count
          description: The total number of items of the query
        current_page:
          type: integer
          title: Current Page
          description: The current page number.
        items_per_page:
          type: integer
          title: Items Per Page
          description: The number of items per page.
      type: object
      required:
        - items
        - total_item_count
        - current_page
        - items_per_page
      title: PaginatedLegacyEvaluationResponseWithViews
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LegacyEvaluationResponseWithViews:
      properties:
        evaluation_datasets:
          title: Evaluation Datasets
          items:
            $ref: '#/components/schemas/EvaluationDatasetResponse'
          type: array
        evaluation_config_expanded:
          anyOf:
            - $ref: '#/components/schemas/EvaluationConfigExpanded'
            - $ref: '#/components/schemas/LegacyEvaluationConfigExpanded'
          title: Evaluation Config Expanded
        async_jobs:
          title: Async Jobs
          items:
            $ref: '#/components/schemas/AsyncJobForView'
          type: array
        application_spec:
          $ref: >-
            #/components/schemas/egp_api_backend__server__api__models__application_models__ApplicationSpecResponse
        name:
          type: string
          title: Name
        description:
          title: Description
          type: string
        status:
          $ref: '#/components/schemas/EvaluationORMStatusEnum'
        application_spec_id:
          type: string
          title: Application Spec Id
        application_variant_id:
          type: string
          title: Application Variant Id
        tags:
          title: Tags
          additionalProperties: true
          type: object
        evaluation_config:
          title: Evaluation Config
          additionalProperties: true
          type: object
        evaluation_config_id:
          title: Evaluation Config Id
          description: The ID of the associated evaluation config.
          type: string
        completed_at:
          title: Completed At
          description: >-
            The date and time that all test case results for the evaluation were
            completed for the evaluation in ISO format.
          type: string
          format: date-time
        total_test_case_result_count:
          type: integer
          title: Total Test Case Result Count
          description: The total number of test case results for the evaluation
        completed_test_case_result_count:
          type: integer
          title: Completed Test Case Result Count
          description: >-
            The number of test case results that have been completed for the
            evaluation
        annotation_config:
          $ref: '#/components/schemas/AnnotationConfig'
          description: Annotation configuration for tasking
          can_patch: false
        question_id_to_annotation_config:
          title: Question Id To Annotation Config
          description: >-
            Specifies the annotation configuration to use for specific
            questions.
          can_patch: false
          additionalProperties:
            $ref: '#/components/schemas/AnnotationConfig'
          type: object
        metric_config:
          $ref: '#/components/schemas/MetricConfig'
          description: Specifies the config for the metrics to be computed.
          can_patch: false
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
      type: object
      required:
        - name
        - description
        - status
        - application_spec_id
        - total_test_case_result_count
        - completed_test_case_result_count
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: LegacyEvaluationResponseWithViews
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EvaluationDatasetResponse:
      properties:
        name:
          type: string
          title: Name
          description: The name of the dataset
        schema_type:
          $ref: '#/components/schemas/EvaluationDatasetORMSchemaTypeEnum'
          description: The schema type of the dataset.
        knowledge_base_id:
          title: Knowledge Base Id
          description: >-
            ID of the knowledge base that the evaluation dataset is associated
            with.
          can_patch: false
          type: string
        evaluation_dataset_metadata:
          title: Evaluation Dataset Metadata
          description: Metadata about the Evaluation Dataset that it is associated with
          can_patch: false
          additionalProperties: true
          type: object
        out_of_date:
          title: Out Of Date
          description: >-
            Boolean to check whether or not the knowledge base has been uploaded
            to since publication of the dataset.
          can_patch: false
          type: boolean
        vendor:
          $ref: '#/components/schemas/EvaluationDatasetVendor'
          description: >-
            The vendor of the evaluation dataset (e.g. 'Scale' for Scale
            off-the-shelf datasets). Null if the evaluation dataset is not from
            a vendor (e.g., is created by the customer).
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the entity was last updated in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
        schema_sub_type:
          $ref: '#/components/schemas/EvaluationDatasetSchemaSubType'
      type: object
      required:
        - name
        - schema_type
        - id
        - created_at
        - updated_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: EvaluationDatasetResponse
    EvaluationConfigExpanded:
      properties:
        evaluation_type:
          $ref: '#/components/schemas/EvaluationConfigORMEvaluationTypeEnum'
          description: Evaluation type
        question_set_id:
          type: string
          title: Question Set Id
        studio_project_id:
          title: Studio Project Id
          type: string
        auto_evaluation_model:
          $ref: '#/components/schemas/AutoEvalBaseModelName'
          description: The name of the model to be used for auto-evaluation
        auto_evaluation_parameters:
          $ref: '#/components/schemas/AutoEvaluationParameters'
          description: Execution parameters for auto-evaluation
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        question_set:
          $ref: '#/components/schemas/QuestionSetWithQuestions'
      type: object
      required:
        - evaluation_type
        - question_set_id
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
        - question_set
      title: EvaluationConfigExpanded
    LegacyEvaluationConfigExpanded:
      properties:
        evaluation_type:
          $ref: '#/components/schemas/EvaluationConfigORMEvaluationTypeEnum'
        studio_project_id:
          title: Studio Project Id
          type: string
        question_set:
          $ref: '#/components/schemas/LegacyQuestionSetForView'
      type: object
      required:
        - evaluation_type
        - question_set
      title: LegacyEvaluationConfigExpanded
    AsyncJobForView:
      properties:
        job_type:
          title: Job Type
          type: string
        parent_job_id:
          title: Parent Job Id
          type: string
        status:
          type: string
          title: Status
        status_reason:
          title: Status Reason
          type: string
        progress:
          title: Progress
          additionalProperties: true
          type: object
        job_metadata:
          title: Job Metadata
          additionalProperties: true
          type: object
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the entity was last updated in ISO format.
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
      type: object
      required:
        - status
        - created_at
        - updated_at
        - id
      title: AsyncJobForView
    egp_api_backend__server__api__models__application_models__ApplicationSpecResponse:
      properties:
        name:
          type: string
          title: Name
          description: The name of the Application Spec
        description:
          type: string
          title: Description
          description: The description of the Application Spec
        theme_id:
          title: Theme Id
          can_patch: true
          type: string
        run_online_evaluation:
          title: Run Online Evaluation
          description: >-
            Whether the application spec should run online evaluation, default
            is `false`
          default: false
          type: boolean
        parent_application_spec_id:
          title: Parent Application Spec Id
          description: >-
            Application spec ID of the parent application from which the
            variants and deployments are inherited.
          type: string
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
      type: object
      required:
        - name
        - description
        - id
        - created_at
        - account_id
      title: ApplicationSpecResponse
    EvaluationORMStatusEnum:
      type: string
      enum:
        - PENDING
        - COMPLETED
        - FAILED
      title: EvaluationORMStatusEnum
    AnnotationConfig:
      properties:
        annotation_config_type:
          $ref: '#/components/schemas/AnnotationConfigType'
          default: flexible
        components:
          title: Components
          items:
            items:
              $ref: '#/components/schemas/AnnotationItem'
            type: array
          type: array
        direction:
          $ref: '#/components/schemas/AnnotationConfigDirectionType'
          default: row
        llm_prompt:
          $ref: '#/components/schemas/AutoEvaluationPrompt'
      type: object
      title: AnnotationConfig
    MetricConfig:
      properties:
        components:
          items:
            $ref: '#/components/schemas/MetricItem'
          type: array
          title: Components
      type: object
      required:
        - components
      title: MetricConfig
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    EvaluationDatasetORMSchemaTypeEnum:
      type: string
      enum:
        - GENERATION
        - FLEXIBLE
      title: EvaluationDatasetORMSchemaTypeEnum
    EvaluationDatasetVendor:
      type: string
      enum:
        - scale
      title: EvaluationDatasetVendor
    EvaluationDatasetSchemaSubType:
      type: string
      enum:
        - summarization
        - translation
      title: EvaluationDatasetSchemaSubType
    EvaluationConfigORMEvaluationTypeEnum:
      type: string
      enum:
        - studio
        - llm_auto
        - human
        - llm_benchmark
      title: EvaluationConfigORMEvaluationTypeEnum
    AutoEvalBaseModelName:
      type: string
      enum:
        - gpt-4-32k-0613
        - gpt-4-turbo-preview
        - gpt-4-turbo-2024-04-09
        - gpt-4o-2024-05-13
        - gpt-4o
        - gpt-4o-mini-2024-07-18
        - gpt-4o-mini
        - gpt-4.1
        - gpt-4.1-mini
        - gpt-4.1-nano
        - gpt-5-nano
        - gpt-5-mini
        - gpt-5
        - gpt-5.1
        - gpt-5.2
        - o1
        - o1-mini
        - o3
        - o3-mini
        - o3-mini-2025-01-31
        - o4-mini
        - gpt-oss-120b
        - gpt-oss-20b
        - llama-3-70b-instruct
        - llama-3-1-70b-instruct
        - llama-3-70b-instruct-bedrock
      title: AutoEvalBaseModelName
    AutoEvaluationParameters:
      properties:
        temperature:
          title: Temperature
          type: number
          maximum: 2
          minimum: 0
        batch_size:
          title: Batch Size
          type: integer
          maximum: 25
          minimum: 1
      type: object
      title: AutoEvaluationParameters
    QuestionSetWithQuestions:
      properties:
        name:
          type: string
          title: Name
        question_id_to_config:
          title: Question Id To Config
          description: >-
            Specifies additional configurations to use for specific questions in
            the context of the question set. For example, `{<question_a_id>:
            {required: true}, <question_b_id>: {required: true}}` sets two
            questions as required.
          can_patch: false
          additionalProperties:
            $ref: '#/components/schemas/QuestionSetQuestionConfig'
          type: object
        instructions:
          title: Instructions
          description: Instructions to answer questions
          type: string
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
        questions:
          title: Questions
          items:
            $ref: '#/components/schemas/QuestionResponse'
          type: array
      type: object
      required:
        - name
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
        - questions
      title: QuestionSetWithQuestions
    LegacyQuestionSetForView:
      properties:
        questions:
          items:
            $ref: '#/components/schemas/LegacyQuestionForView'
          type: array
          title: Questions
        question_id_to_config:
          title: Question Id To Config
          additionalProperties:
            $ref: '#/components/schemas/QuestionSetQuestionConfig'
          type: object
      type: object
      required:
        - questions
      title: LegacyQuestionSetForView
    AnnotationConfigType:
      type: string
      enum:
        - generation
        - flexible
        - summarization
        - multiturn
        - translation
      title: AnnotationConfigType
    AnnotationItem:
      properties:
        optional:
          type: boolean
          title: Optional
          default: false
        data_loc:
          $ref: '#/components/schemas/DataLoc'
        label:
          title: Label
          type: string
      type: object
      required:
        - data_loc
      title: AnnotationItem
    AnnotationConfigDirectionType:
      type: string
      enum:
        - col
        - row
      title: AnnotationConfigDirectionType
    AutoEvaluationPrompt:
      properties:
        variables:
          items:
            $ref: '#/components/schemas/PromptVariable'
          type: array
          title: Variables
        template:
          type: string
          title: Template
      type: object
      required:
        - variables
        - template
      title: AutoEvaluationPrompt
    MetricItem:
      properties:
        type:
          $ref: '#/components/schemas/MetricScorerType'
        name:
          type: string
          title: Name
        mappings:
          title: Mappings
          additionalProperties:
            $ref: '#/components/schemas/DataLoc'
          type: object
        params:
          title: Params
          additionalProperties: true
          type: object
      type: object
      required:
        - type
        - name
      title: MetricItem
    QuestionSetQuestionConfig:
      properties:
        required:
          title: Required
          description: Whether the question is required. False by default.
          default: false
          type: boolean
      type: object
      title: QuestionSetQuestionConfig
    QuestionResponse:
      properties:
        type:
          $ref: '#/components/schemas/QuestionORMTypeEnum'
          description: The type of question
        title:
          type: string
          title: Title
        prompt:
          type: string
          title: Prompt
        choices:
          title: Choices
          description: >-
            List of choices for the question. Required for CATEGORICAL
            questions.
          items:
            $ref: '#/components/schemas/CategoricalChoice'
          type: array
        ratingOptions:
          $ref: '#/components/schemas/RatingQuestionOptions'
          description: Options for rating questions.
        numberOptions:
          $ref: '#/components/schemas/NumberQuestionOptions'
          description: Options for number questions.
        freeTextOptions:
          $ref: '#/components/schemas/FreeTextQuestionOptions'
          description: Options for free text questions.
        multi:
          title: Multi
          description: Whether the question allows multiple answers.
          type: boolean
        dropdown:
          title: Dropdown
          description: Whether the question is displayed as a dropdown in the UI.
          type: boolean
        required:
          title: Required
          description: >-
            [To be deprecated in favor of question set question_id_to_config]
            Whether the question is required.
          type: boolean
        conditions:
          title: Conditions
          description: Conditions for the question to be shown.
          items:
            additionalProperties: true
            type: object
          type: array
        default:
          title: Default
          description: The default value for the question.
        form_schema:
          title: Form Schema
          description: The schema for the question.
          additionalProperties: true
          type: object
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
      type: object
      required:
        - type
        - title
        - prompt
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: QuestionResponse
    LegacyQuestionForView:
      properties:
        type:
          $ref: '#/components/schemas/QuestionORMTypeEnum'
        title:
          type: string
          title: Title
        prompt:
          type: string
          title: Prompt
        choices:
          title: Choices
          description: >-
            List of choices for the question. Required for CATEGORICAL
            questions.
          items:
            additionalProperties: true
            type: object
          type: array
        multi:
          title: Multi
          description: Whether the question allows multiple answers.
          type: boolean
        required:
          title: Required
          description: Whether the question is required.
          type: boolean
        conditions:
          title: Conditions
          description: Conditions for the question to be shown.
          items:
            additionalProperties: true
            type: object
          type: array
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
      type: object
      required:
        - type
        - title
        - prompt
        - id
      title: LegacyQuestionForView
    DataLoc:
      items:
        type: string
      type: array
      title: DataLoc
    PromptVariable:
      properties:
        name:
          type: string
          title: Name
        optional:
          type: boolean
          title: Optional
          default: false
        data_loc:
          $ref: '#/components/schemas/DataLoc'
      type: object
      required:
        - name
        - data_loc
      title: PromptVariable
    MetricScorerType:
      type: string
      enum:
        - rouge
        - rouge1
        - rouge2
        - rougeL
        - bleu
        - meteor
        - cosine_similarity
        - f1
      title: MetricScorerType
    QuestionORMTypeEnum:
      type: string
      enum:
        - categorical
        - free_text
        - rating
        - number
        - form
        - timestamp
      title: QuestionORMTypeEnum
    CategoricalChoice:
      properties:
        label:
          title: Label
          type: string
        value:
          anyOf:
            - type: string
            - type: integer
            - type: boolean
            - type: number
          title: Value
        audit_required:
          type: boolean
          title: Audit Required
          default: false
      type: object
      required:
        - label
        - value
      title: CategoricalChoice
    RatingQuestionOptions:
      properties:
        minLabel:
          type: string
          title: Minlabel
          description: Minimum value for the rating
        maxLabel:
          type: string
          title: Maxlabel
          description: Maximum value for the rating
        scaleSteps:
          type: integer
          title: Scalesteps
          description: Number of steps in the rating scale
      type: object
      required:
        - minLabel
        - maxLabel
        - scaleSteps
      title: RatingQuestionOptions
    NumberQuestionOptions:
      properties:
        min:
          title: Min
          description: Minimum value for the number
          type: number
        max:
          title: Max
          description: Maximum value for the number
          type: number
      type: object
      title: NumberQuestionOptions
    FreeTextQuestionOptions:
      properties:
        characterLimit:
          $ref: '#/components/schemas/CharacterLimit'
      type: object
      required:
        - characterLimit
      title: FreeTextQuestionOptions
    CharacterLimit:
      properties:
        min:
          type: integer
          title: Min
          description: Minimum number of characters
          default: 50
        max:
          type: integer
          title: Max
          description: Maximum number of characters
          default: 1000
      type: object
      title: CharacterLimit
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````